@echo off
echo 本程序用于删除用本恢复包安装的Flash ActiveX for Win8/10
echo 本程序请以管理员身份运行！
echo 单独安装的Flash NPAPI/PPAPI请自行卸载！
echo.
echo 要删除系统中的Flash ActiveX，请按任意键开始
echo.
pause > nul

if exist %SystemRoot%\SysWOW64\ntdll.dll (goto x64) else (goto x86)

:x86
takeown /f %SystemRoot%\System32\flash.ocx
icacls %SystemRoot%\System32\flash.ocx /grant everyone:F
regsvr32 /s /u %SystemRoot%\System32\flash.ocx
del /f /q %SystemRoot%\System32\flash.ocx
cd /d %~dp0
regini regset32.ini
regedit /s uninst32.reg
goto done


:x64
takeown /f %SystemRoot%\System32\flash.ocx
icacls %SystemRoot%\System32\flash.ocx /grant everyone:F
takeown /f %SystemRoot%\SysWOW64\flash.ocx
icacls %SystemRoot%\SysWOW64\flash.ocx /grant everyone:F
regsvr32 /s /u %SystemRoot%\System32\flash.ocx
regsvr32 /s /u %SystemRoot%\SysWOW64\flash.ocx
del /f /q %SystemRoot%\System32\flash.ocx
del /f /q %SystemRoot%\SysWOW64\flash.ocx
cd /d %~dp0
regini regset64.ini
regedit /s uninst64.reg
goto done

:done
echo.
echo 删除完成，按任意键退出
pause > nul
exit

